/*
  PhototransistorDemo

  Reads analog inputs on pin 0 and 1, then toggles on digital pins 
  6 and/or 7, if the values are above a cutoff value.

  Written by John Keogh of Upsoni, LLC for demo purposes and released 
  into the public domain.  No warrantee or guarantee of any type is 
  associated with this code.  Use at you own risk.
 */
 
 int outputPinLeft = 6;
 int outputPinRight = 7;
 
 int leftOutputOn=0;
 int rightOutputOn=0;
 
 //adjust this based on the phototransistor you are using
 int cutoff = 10;
 

void setup() {
  pinMode(outputPinLeft, OUTPUT);
  pinMode(outputPinRight, OUTPUT);
}

void loop() {
  int leftSensorValue = analogRead(A0);

  if(leftSensorValue>cutoff){
    if(!leftOutputOn){
      leftOutputOn=1;
      digitalWrite(outputPinLeft, HIGH);   
    }
  }
  else{
    if(leftOutputOn){
      leftOutputOn=0;
      digitalWrite(outputPinLeft, LOW); 
    }
  }
  
  int rightSensorValue = analogRead(A1);

  if(rightSensorValue>cutoff){
    if(!rightOutputOn){
      rightOutputOn=1;
      digitalWrite(outputPinRight, HIGH); 
    }
  }
  else{
    if(rightOutputOn){
      rightOutputOn=0;
      digitalWrite(outputPinRight, LOW); 
    }
  }
  
  delay(1);        // delay in between reads for stability
}
